List Availability
Retrieve availability schedules for your organization
GET
/calendar/availabilityRequires
Bearer authenticationRetrieve all availability schedules for your organization. Schedules define when appointments can be booked.
GET
/calendar/availabilitycurl -X GET "https://api.vastal.agency/v1/calendar/availability" \ -H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch( 'https://api.vastal.agency/v1/calendar/availability', { headers: { 'Authorization': 'Bearer YOUR_API_KEY' } } ); const data = await response.json();
import requests response = requests.get( 'https://api.vastal.agency/v1/calendar/availability', headers={'Authorization': 'Bearer YOUR_API_KEY'} ) data = response.json()
200Success
{ "schedules": [ { "id": "avail_abc123", "org_id": "org_xyz789", "day_of_week": 1, "start_time": "09:00:00", "end_time": "17:00:00", "appointment_type_id": null, "is_active": true, "created_at": "2024-01-01T00:00:00Z" }, { "id": "avail_def456", "org_id": "org_xyz789", "day_of_week": 2, "start_time": "09:00:00", "end_time": "17:00:00", "appointment_type_id": null, "is_active": true, "created_at": "2024-01-01T00:00:00Z" } ] }
Day of Week Values:
- 0 = Sunday
- 1 = Monday
- 2 = Tuesday
- 3 = Wednesday
- 4 = Thursday
- 5 = Friday
- 6 = Saturday